For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns all available alerts for autopilots.
      • GETReturns the autopilot with the specified id.
      • GETReturns the autopilot of the project with the specified id.
      • POSTCreates a new autopilot for the project with the specified id.
      • PUTUpdates the autopilot of the project with the specified id.
      • DELDeletes the autopilot of the project with the specified id.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceAutopilot

Updates the autopilot of the project with the specified id.

PUT
https://api.awork.com/api/v1/projects/:projectId/autopilot
PUT
/api/v1/projects/:projectId/autopilot
$curl -X PUT https://api.awork.com/api/v1/projects/projectId/autopilot \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": "kanban",
> "enabled": true,
> "alerts": [
> {
> "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
> "alert": "task_overdue",
> "enabled": true,
> "channel": "slack"
> },
> {
> "id": "b2c3d4e5-f678-90ab-12cd-34ef567890ab",
> "alert": "milestone_approaching",
> "enabled": false,
> "channel": "email"
> }
> ]
>}'
200Updated
1{
2 "type": "kanban",
3 "enabled": true,
4 "alerts": [
5 {
6 "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
7 "alert": "task_overdue",
8 "enabled": true,
9 "channel": "slack"
10 },
11 {
12 "id": "b2c3d4e5-f678-90ab-12cd-34ef567890ab",
13 "alert": "milestone_approaching",
14 "enabled": false,
15 "channel": "email"
16 }
17 ],
18 "id": "d4e5f678-90ab-12cd-34ef-567890abcdef",
19 "createdOn": "2024-05-10T08:45:00Z",
20 "createdBy": "f1234567-89ab-4cde-9012-3456789abcde",
21 "updatedOn": "2024-06-01T14:20:00Z",
22 "updatedBy": "f1234567-89ab-4cde-9012-3456789abcde"
23}
Updates the autopilot of the project with the specified id. To access and modify the autopilot data the user needs to be the owner of the project or must have 'read' permissions of the feature 'project-master-data' globally or in their project role. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Deletes the autopilot of the project with the specified id.

Next
Built with

Updates the autopilot of the project with the specified id. To access and modify the autopilot data the user needs to be the owner of the project or must have ‘read’ permissions of the feature ‘project-master-data’ globally or in their project role.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.

Request

The model used to update the autopilot.
typestringRequired>=1 character
The type of the autopilot.
enabledbooleanRequired
Whether the autopilot is enabled.
alertslist of objectsRequired
The alerts of the autopilot.

Response

OK
typestring>=1 character
The type of the autopilot.
enabledboolean
Whether the autopilot is enabled.
alertslist of objects
The alerts of the autopilot.
idstringformat: "uuid"
The id of the autopilot.
createdOnstringformat: "date-time"
The date this object was created.
createdBystringformat: "uuid"
The id of the user who created this object.
updatedOnstringformat: "date-time"
The date this object was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this object.